Authentication
authorization string required
All APIs require authentication via Bearer Token
Get API Key:
Visit API Key Management Page to get your API Key
Usage:
Add to request header:
Authorization: Bearer YOUR_API_KEY
Parameters
model string required
Model ID to use for the request
Value: sora_2_t2v
prompt string required
Natural language description of the shot. Include shot type, subject, action, setting, lighting, and any required camera movement to reduce ambiguity. Keep it single-purpose for best adherence
size string
Output resolution (width x height)
Options:
720x1280: Portrait1280x720: Landscape
Default: 720x1280
seconds string
Video duration in seconds
Options: 4, 8, 12
Default: 4
remix_video_id string
ID of a previously completed video (e.g., video_...) to reuse structure, motion, and framing
Polling
Since result generation takes time, you need to poll the task status after creating the task.
The initial response only returns information such as the task ID and initial status. The final result must be obtained by polling the task status endpoint using the task ID.
See the examples on the right for polling requests and responses.
Response Format
error object
Error information. Only present when status is failed
code
integerError code
error_message
stringDetailed error message
output array
Generation results. Only present when status is completed
content
arrayList of generated content
type
stringResource type, e.g.
video,imageurl
stringGenerated content URL
usage object
Usage statistics. Only present when status is completed
cost
stringTotal cost in USD
discount
numberDiscount amount
metadata object
Metadata information
Error Codes
| Error Code | Description |
|---|---|
| 014001095 | Internal generation error |
| 014001096 | Result parsing error |
| 014001097 | HTTP error response |
| 014001098 | Status check error |
| 014001099 | Task creation error |